{% extends "base.html" %}
{% load i18n %}
{% load crispy_forms_tags %}

{% block title %}{% trans "Edit Box" %}{% endblock %}
{% block extra_head %}
{{ form.media }}
{% endblock %}

{% block content %}
<div class="container">
    <div class="row card-row">
        <div class="col-12 mx-auto my-auto">
            <div class="card">
                <div class="card-header">
                    <h1 class="text-center">{% trans "Edit Box" %}</h1>
                </div>
                <div class="card-body">
                    <form novalidate method="post">
                        {% csrf_token %}
                        <div class="row">
                            <div class="col-12 col-lg-6 ck-content">
                                {{ form.content|as_crispy_field }}
                            </div>
                            <div class="col-12 col-lg-6 ck-content">
                                {{ form.es_content|as_crispy_field }}
                            </div>
                        </div>
                        <hr>
                        <div class="d-flex justify-content-between" style="flex-wrap: wrap;">
                            <div>
                                <a class="btn btn-secondary {% if not request.GET.next %}disabled{% endif %}" href="{{ request.GET.next }}">
                                    <i class="fas fa-arrow-left"></i>
                                </a>
                            </div>
                            <div>
                                <button type="submit" class="btn btn-primary">
                                    <i class="fas fa-check fa-fw mr-1"></i>{% trans "Submit" %}
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}